%define upstream_name    Class-Listener
%define upstream_version 0.01.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Executes methods on events
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Maker)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A base class which listens for signals and runs methods.

METHODS
    signal( $eventname, @args )
        * $eventname

          A method with the name "_on_$eventname" will be called (if it
          exists).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.1.4-10.mga9
+ Revision: 1802444
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.4-9.mga8
+ Revision: 1493543
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.4-8.mga7
+ Revision: 1266332
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.1.4-7.mga6
+ Revision: 1023976
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.4-6.mga6
+ Revision: 946929
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-5.mga5
+ Revision: 750226
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 sander85 <sander85> 0.1.4-3.mga5
+ Revision: 634320
- Fix BR

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-3.mga4
+ Revision: 510165
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 364417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 shlomif <shlomif> 0.1.4-1.mga3
+ Revision: 324657
- imported package perl-Class-Listener


* Sun Dec 02 2012 cpan2dist 0.01.04-1mga
- initial mageia release, generated with cpan2dist
